## cascading.tap.partition
Class PartitionTapProps

    java.lang.Object
      cascading.property.Props
          cascading.tap.partition.PartitionTapProps

    public class PartitionTapProps

extends Props

Class PartitionTapProps is a fluent helper class to set properties which control the behaviour of the `BasePartitionTap`.

Field Summary
`static String` `FAIL_ON_CLOSE`

Constructor Summary
`PartitionTapProps()` Constructs a new PartitionTapProps instance.

Method Summary
`protected void` `addPropertiesTo(Properties properties)`
`boolean` `isFailOnClose()`
`static PartitionTapProps` `partitionTapProps()` Creates a new PartitionTapProps instance.
`PartitionTapProps` `setFailOnClose(boolean failOnClose)` Method setFailOnClose controls if the PartitionTap is ignoring all Exceptions, when a TupleEntryCollector is closed or if it should rethrow the Exception.
`static void` `setFailOnClose(Map<Object,Object> properties, boolean failOnClose)` Method setFailOnClose(boolean b) controls if the PartitionTap is ignoring all Excpetions, when a TupleEntryCollector is closed or if it should rethrow the Exception.

Methods inherited from class cascading.property.Props
`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FAIL_ON_CLOSE

    public static final String FAIL_ON_CLOSE

See Also:
  Constant Field Values

Constructor Detail

### PartitionTapProps

    public PartitionTapProps()

  Constructs a new PartitionTapProps instance.

Method Detail

### setFailOnClose

    public static void setFailOnClose(Map<Object,Object> properties,
                                      boolean failOnClose)

  Method setFailOnClose(boolean b) controls if the PartitionTap is ignoring all Excpetions, when a TupleEntryCollector is closed or if it should rethrow the Exception.

  Parameters:
    `properties` - a Map<Object, Object>
    `failOnClose` - boolean controlling the close behaviour

### partitionTapProps

    public static PartitionTapProps partitionTapProps()

  Creates a new PartitionTapProps instance.

  Returns:
    PartitionTapProps instance

### isFailOnClose

    public boolean isFailOnClose()

### setFailOnClose

    public PartitionTapProps setFailOnClose(boolean failOnClose)

  Method setFailOnClose controls if the PartitionTap is ignoring all Exceptions, when a TupleEntryCollector is closed or if it should rethrow the Exception.

  Parameters:
    `failOnClose` - boolean controlling the close behaviour

### addPropertiesTo

    protected void addPropertiesTo(Properties properties)

  Specified by:
    `addPropertiesTo` in class `Props`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.